Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.conf
Interface ConfigLoaderDelegate

All Known Implementing Classes:
  RuntimeLoadDelegate

    public interface ConfigLoaderDelegate

Interface that defines callback API used by ConfigLoader to process loaded configuration. Main responsibility of ConfigLoaderDelegate is to create objects, while ConfigLoader is mainly concerned with XML parsing.

Method Summary
`void` | `finishedLoading()` Callback methods invoked at the end of the configuration processing.
`ConfigStatus` | `getStatus()`
`boolean` | `loadError(Throwable th)` Gives delegate an opportunity to process the error.
`void` | `shouldLinkDataMap(String domainName, String nodeName, String mapName)`
`void` | `shouldLoadDataDomain(String name)` Callback method invoked when a domain is encountered in the configuration file.
`void` | `shouldLoadDataDomainProperties(String domainName, Map<String,String> properties)`
`void` | `shouldLoadDataMaps(String domainName, Map<String,DataMap> locations)`
`void` | `shouldLoadDataNode(String domainName, String nodeName, String dataSource, String adapter, String factory, String schemaUpdateStrategy)`
`void` | `shouldLoadProjectVersion(String version)` Callback method invoked when a project version is read.
`void` | `shouldRegisterDataView(String name, String location)` Callback method invoked when a DataView reference is encountered in the configuration file.
`void` | `startedLoading()` Callback methods invoked in the beginning of the configuration processing.

Method Detail

### startedLoading

    void startedLoading()

  Callback methods invoked in the beginning of the configuration processing.

### finishedLoading

    void finishedLoading()

  Callback methods invoked at the end of the configuration processing.

### shouldLoadProjectVersion

    void shouldLoadProjectVersion(String version)

  Callback method invoked when a project version is read.

  Since:
    1.1

### shouldLoadDataDomain

    void shouldLoadDataDomain(String name)

  Callback method invoked when a domain is encountered in the configuration file.

  Parameters:
    `name` - domain name.

### shouldRegisterDataView

    void shouldRegisterDataView(String name,
                                String location)

  Callback method invoked when a DataView reference is encountered in the configuration file.

  Since:
    1.1

### shouldLoadDataMaps

    void shouldLoadDataMaps(String domainName,
                            Map<String,DataMap> locations)

  Since:
    1.1

### shouldLoadDataDomainProperties

    void shouldLoadDataDomainProperties(String domainName,
                                        Map<String,String> properties)

  Since:
    1.1

### shouldLoadDataNode

    void shouldLoadDataNode(String domainName,
                            String nodeName,
                            String dataSource,
                            String adapter,
                            String factory,
                            String schemaUpdateStrategy)

### shouldLinkDataMap

    void shouldLinkDataMap(String domainName,
                           String nodeName,
                           String mapName)

### loadError

    boolean loadError(Throwable th)

  Gives delegate an opportunity to process the error.

  Parameters:
    `th` -
  Returns:
    boolean indicating whether ConfigLoader should proceed with further processing. Ultimately it is up to the ConfigLoader to make this decision.

### getStatus

    ConfigStatus getStatus()

  Returns:
    status object indicating the state of the configuration loading.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.